React Bootstrap Chat

React Chat - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap chat is a component dedicated for text-based communication between two or more users in real time. Build with conversations list sidebar.

Basic example

  • avatar
    Brad Pitt 12 mins ago

    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.

  • Lara Croft 13 mins ago

    Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.

    avatar
  • avatar
    Brad Pitt 12 mins ago

    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.

        
            
          import React, { Component } from "react";
          import {
            MDBCard,
            MDBCardBody,
            MDBRow,
            MDBCol,
            MDBListGroup,
            MDBListGroupItem,
            MDBAvatar,
            MDBBadge,
            MDBIcon,
            MDBBtn,
          } from "mdbreact";
          import "./ChatPage.css";
  
          class ChatPage extends Component {
            constructor() {
              super();
              this.state = {
                friends: [
                  {
                    name: "John Doe",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-8",
                    message: "Hello, Are you there?",
                    when: "Just now",
                    toRespond: 1,
                    seen: false,
                    active: true,
                  },
                  {
                    name: "Danny Smith",
                    message: "Lorem ipsum dolor sit",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1",
                    when: "5 min ago",
                    toRespond: 0,
                    seen: false,
                    active: false,
                  },
                  {
                    name: "Alex Steward",
                    message: "Lorem ipsum dolor sit",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2",
                    when: "Yesterday",
                    toRespond: 0,
                    seen: false,
                    active: false,
                  },
                  {
                    name: "Ashley Olsen",
                    message: "Lorem ipsum dolor sit",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3",
                    when: "Yesterday",
                    toRespond: 0,
                    seen: false,
                    active: false,
                  },
                  {
                    name: "Kate Moss",
                    message: "Lorem ipsum dolor sit",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4",
                    when: "Yesterday",
                    toRespond: 0,
                    seen: false,
                    active: false,
                  },
                  {
                    name: "Lara Croft",
                    message: "Lorem ipsum dolor sit",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5",
                    when: "Yesterday",
                    toRespond: 0,
                    seen: false,
                    active: false,
                  },
                  {
                    name: "Brad Pitt",
                    message: "Lorem ipsum dolor sit",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                    when: "5 min ago",
                    toRespond: 0,
                    seen: true,
                    active: false,
                  },
                ],
                messages: [
                  {
                    author: "Brad Pitt",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                    when: "12 mins ago",
                    message:
                      "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
                  },
                  {
                    author: "Lara Croft",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5",
                    when: "13 mins ago",
                    message:
                      " Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.",
                  },
                  {
                    author: "Brad Pitt",
                    avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                    when: "14 mins ago",
                    message:
                      "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
                  },
                ],
              };
            }
  
            render() {
              return (
                <MDBCard className="grey lighten-3 chat-room">
                  <MDBCardBody>
                    <MDBRow className="px-lg-2 px-2">
                      <MDBCol md="6" xl="4" className="px-0 mb-2 mb-md-0">
                        <h6 className="font-weight-bold mb-3 text-lg-left">Member</h6>
                        <div className="white z-depth-1 p-3">
                          <MDBListGroup className="friend-list">
                            {this.state.friends.map((friend) => (
                              <Friend key={friend.name} friend={friend} />
                            ))}
                          </MDBListGroup>
                        </div>
                      </MDBCol>
                      <MDBCol md="6" xl="8" className="pl-md-3 px-lg-auto mt-2 mt-md-0">
                        <MDBRow>
                          <MDBListGroup className="list-unstyled pl-3">
                            {this.state.messages.map((message) => (
                              <ChatMessage
                                key={message.author + message.when}
                                message={message}
                              />
                            ))}
                            <li>
                              <div className="form-group basic-textarea">
                                <textarea
                                  className="form-control pl-2 my-0"
                                  id="exampleFormControlTextarea2"
                                  rows="3"
                                  placeholder="Type your message here..."
                                />
                                <MDBBtn
                                  color="info"
                                  rounded
                                  size="sm"
                                  className="float-right mt-4"
                                >
                                  Send
                                </MDBBtn>
                              </div>
                            </li>
                          </MDBListGroup>
                        </MDBRow>
                      </MDBCol>
                    </MDBRow>
                  </MDBCardBody>
                </MDBCard>
              );
            }
          }
  
          const Friend = ({
            friend: { name, avatar, message, when, toRespond, seen, active },
          }) => (
            <MDBListGroupItem
              href="#!"
              className="d-flex justify-content-between p-2 border-light"
              style={{ backgroundColor: active ? "#eeeeee" : "" }}
            >
              <MDBAvatar
                tag="img"
                src={avatar}
                alt="avatar"
                circle
                className="mr-2 z-depth-1"
              />
              <div style={{ fontSize: "0.95rem" }}>
                <strong>{name}</strong>
                <p className="text-muted">{message}</p>
              </div>
              <div>
                <p className="text-muted mb-0" style={{ fontSize: "0.75rem" }}>
                  {when}
                </p>
                {seen ? (
                  <span className="text-muted float-right">
                    <MDBIcon className="fa-check" aria-hidden="true" />
                  </span>
                ) : toRespond ? (
                  <MDBBadge color="danger" className="float-right">
                    {toRespond}
                  </MDBBadge>
                ) : (
                  <span className="text-muted float-right">
                    <MDBIcon icon="reply" aria-hidden="true" />
                  </span>
                )}
              </div>
            </MDBListGroupItem>
          );
  
          const ChatMessage = ({ message: { author, avatar, when, message } }) => (
            <li className="chat-message d-flex justify-content-between mb-4">
              <MDBAvatar
                tag="img"
                src={avatar}
                alt="avatar"
                circle
                className="mx-2 z-depth-1"
              />
              <MDBCard>
                <MDBCardBody>
                  <div>
                    <strong className="primary-font">{author}</strong>
                    <small className="pull-right text-muted">
                      <i className="far fa-clock" /> {when}
                    </small>
                  </div>
                  <hr />
                  <p className="mb-0">{message}</p>
                </MDBCardBody>
              </MDBCard>
            </li>
          );
  
          export default ChatPage;
  
        
        
    
        
            
          .chat-room .friend-list .list-group-item {
            margin-bottom: 0;
            border: 0;
            border-bottom: 1px solid;
          }
  
          .chat-room .friend-list .list-group-item:last-of-type {
            border-bottom: 0;
          }
  
          .chat-room .friend-list .list-group-item.active {
            background-color: #eeeeee;
          }
  
          .chat-room .avatar {
            height: 3rem;
            width: 3rem;
          }
  
          .chat-room .chat-message:nth-of-type(even) {
            flex-direction: row-reverse;
          }
  
          .chat-room .scrollable-friends-list {
            height: 570px;
          }
  
          .chat-room .scrollable-chat {
            height: 510px;
            padding-bottom: 15px;
          }
          
        
    

Chat with scrollbar

  • avatar
    Brad Pitt 12 mins ago

    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.

  • Lara Croft 13 mins ago

    Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.

    avatar
  • avatar
    Brad Pitt 12 mins ago

    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.

  • Lara Croft 13 mins ago

    Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.

    avatar
  • avatar
    Brad Pitt 12 mins ago

    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.

        
            
        import React, { Component } from "react";
        import {
          MDBCard,
          MDBCardBody,
          MDBRow,
          MDBCol,
          MDBListGroup,
          MDBListGroupItem,
          MDBAvatar,
          MDBBadge,
          MDBIcon,
          MDBBtn,
          MDBScrollbar,
        } from "mdbreact";
        import "./ChatPage.css";
  
        class ChatPage extends Component {
          constructor() {
            super();
            this.state = {
              friends: [
                {
                  name: "John Doe",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-8",
                  message: "Hello, Are you there?",
                  when: "Just now",
                  toRespond: 1,
                  seen: false,
                  active: true,
                },
                {
                  name: "Danny Smith",
                  message: "Lorem ipsum dolor sit",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1",
                  when: "5 min ago",
                  toRespond: 0,
                  seen: false,
                  active: false,
                },
                {
                  name: "Alex Steward",
                  message: "Lorem ipsum dolor sit",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2",
                  when: "Yesterday",
                  toRespond: 0,
                  seen: false,
                  active: false,
                },
                {
                  name: "Ashley Olsen",
                  message: "Lorem ipsum dolor sit",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3",
                  when: "Yesterday",
                  toRespond: 0,
                  seen: false,
                  active: false,
                },
                {
                  name: "Kate Moss",
                  message: "Lorem ipsum dolor sit",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4",
                  when: "Yesterday",
                  toRespond: 0,
                  seen: true,
                  active: false,
                },
                {
                  name: "Lara Croft",
                  message: "Lorem ipsum dolor sit",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5",
                  when: "Yesterday",
                  toRespond: 0,
                  seen: false,
                  active: false,
                },
                {
                  name: "Brad Pitt",
                  message: "Lorem ipsum dolor sit",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                  when: "5 min ago",
                  toRespond: 0,
                  seen: true,
                  active: false,
                },
                {
                  name: "Ken Ditto",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/img(3).webp",
                  message: "Hello, Are you there?",
                  when: "Yesterday",
                  toRespond: 0,
                  seen: false,
                  active: false,
                },
                {
                  name: "Marta Wozniak",
                  message: "Lorem ipsum dolor sit.",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/img(2).webp",
                  when: "5 min ago",
                  toRespond: 0,
                  seen: false,
                  active: false,
                },
              ],
              messages: [
                {
                  author: "Brad Pitt",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                  when: "12 mins ago",
                  message:
                    "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
                },
                {
                  author: "Lara Croft",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5",
                  when: "13 mins ago",
                  message:
                    " Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.",
                },
                {
                  author: "Brad Pitt",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                  when: "14 mins ago",
                  message:
                    "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
                },
                {
                  author: "Lara Croft",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5",
                  when: "16 mins ago",
                  message:
                    " Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.",
                },
                {
                  author: "Brad Pitt",
                  avatar: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6",
                  when: "17 mins ago",
                  message:
                    "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
                },
              ],
            };
          }
  
          render() {
            return (
              <MDBCard className="grey lighten-3 chat-room">
                <MDBCardBody>
                  <MDBRow className="px-lg-2 px-2">
                    <MDBCol
                      md="6"
                      xl="4"
                      className="px-0 mb-4 mb-md-0 scrollable-friends-list"
                    >
                      <h6 className="font-weight-bold mb-3 text-lg-left">Member</h6>
                      <MDBScrollbar>
                        <div className="white z-depth-1 p-3">
                          <MDBListGroup className="friend-list">
                            {this.state.friends.map((friend) => (
                              <Friend key={friend.name} friend={friend} />
                            ))}
                          </MDBListGroup>
                        </div>
                      </MDBScrollbar>
                    </MDBCol>
                    <MDBCol md="6" xl="8" className="pl-md-3 mt-4 mt-md-0 px-lg-auto">
                      <div className="scrollable-chat">
                        <MDBScrollbar>
                          <MDBListGroup className="list-unstyled pl-3 pr-3">
                            {this.state.messages.map((message) => (
                              <ChatMessage
                                key={message.author + message.when}
                                message={message}
                              />
                            ))}
                          </MDBListGroup>
                        </MDBScrollbar>
                      </div>
                      <div className="form-group basic-textarea">
                        <textarea
                          className="form-control pl-2 my-0"
                          id="exampleFormControlTextarea2"
                          rows="3"
                          placeholder="Type your message here..."
                        />
                        <MDBBtn
                          color="info"
                          rounded
                          size="sm"
                          className="float-right mt-4"
                        >
                          Send
                        </MDBBtn>
                      </div>
                    </MDBCol>
                  </MDBRow>
                </MDBCardBody>
              </MDBCard>
            );
          }
        }
  
        const Friend = ({
          friend: { name, avatar, message, when, toRespond, seen, active },
        }) => (
          <MDBListGroupItem
            href="#!"
            className="d-flex justify-content-between p-2 border-light"
            style={{ backgroundColor: active ? "#eeeeee" : "" }}
          >
            <MDBAvatar
              tag="img"
              src={avatar}
              alt="avatar"
              circle
              className="mr-2 z-depth-1"
            />
            <div style={{ fontSize: "0.95rem" }}>
              <strong>{name}</strong>
              <p className="text-muted">{message}</p>
            </div>
            <div>
              <p className="text-muted mb-0" style={{ fontSize: "0.75rem" }}>
                {when}
              </p>
              {seen ? (
                <span className="text-muted float-right">
                  <MDBIcon className="fa-check" aria-hidden="true" />
                </span>
              ) : toRespond ? (
                <MDBBadge color="danger" className="float-right">
                  {toRespond}
                </MDBBadge>
              ) : (
                <span className="text-muted float-right">
                  <MDBIcon icon="reply" aria-hidden="true" />
                </span>
              )}
            </div>
          </MDBListGroupItem>
        );
  
        const ChatMessage = ({ message: { author, avatar, when, message } }) => (
          <li className="chat-message d-flex justify-content-between mb-4">
            <MDBAvatar
              tag="img"
              src={avatar}
              alt="avatar"
              circle
              className="mx-2 z-depth-1"
            />
            <MDBCard>
              <MDBCardBody>
                <div>
                  <strong className="primary-font">{author}</strong>
                  <small className="pull-right text-muted">
                    <i className="far fa-clock" /> {when}
                  </small>
                </div>
                <hr />
                <p className="mb-0">{message}</p>
              </MDBCardBody>
            </MDBCard>
          </li>
        );
  
        export default ChatPage;
  
      
        
    
        
            
        .chat-room .friend-list .list-group-item {
          margin-bottom: 0;
          border: 0;
          border-bottom: 1px solid;
        }
  
        .chat-room .friend-list .list-group-item:last-of-type {
          border-bottom: 0;
        }
  
        .chat-room .friend-list .list-group-item.active {
          background-color: #eeeeee;
        }
  
        .chat-room .avatar {
          height: 3rem;
          width: 3rem;
        }
  
        .chat-room .chat-message:nth-of-type(even) {
          flex-direction: row-reverse;
        }
  
        .chat-room .scrollable-friends-list {
          height: 570px;
        }
  
        .chat-room .scrollable-chat {
          height: 510px;
          padding-bottom: 15px;
        }
        
        
    

React Chat - API

In this section you will find advanced information about the Chat component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Chat import statement

Chat is more like template which we prepared to use with structured data, for example from external API. There is a need to import few components to build chat window.

        
            
          import { 
            MDBCard, 
            MDBCardBody, 
            MDBRow, 
            MDBCol, 
            MDBListGroup, 
            MDBListGroupItem, 
            MDBAvatar, 
            MDBBadge, 
            MDBIcon, 
            MDBBtn, 
            MDBScrollbar 
          } from "mdbreact";
        
        
    

Chat - Friend Properties

The table below shows the structure of the 'friend' object which is destructured then as props of the Friend component.

Name Type Default Description Example
name string Name of the user. name: "John Doe"
avatar string URL for the user's avatar avatar: "https://mydomain.com/avatars/john_doe"
message string User's chat message message: "Hello, how are you?"
when string Desciption, when message has been received when: "1 minute ago"
toRespond number Amount of messages to respond indicator toRespond: 2
seen boolean Indicate that your message was seen seen: false
active boolean Highlights the currently opened user chat window active: true

Chat - Message Properties

The table below shows the structure of the 'message' object which is destructured then as props of the ChatMessage component.

Name Type Default Description Example
author string User name of the message author author: "John Doe"
avatar string URL for the user's avatar avatar: "https://mydomain.com/avatars/john_doe"
message string User's chat message message: "Hello, how are you?"
when string Desciption, when message has been received when: "1 minute ago"

Vue Bootstrap Chat

Vue Chat - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap Chat is a component dedicated for text-based communication between two or more users in real time. Build with conversations list sidebar.


Basic chat MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-chat-room color="grey" class="lighten-2">
                <mdb-row class="px-lg-2 px-2">
                  <mdb-col md="6" xl="4" class="px-0 pt-3">
                    <mdb-chat-list :data="basicChat" @click="changeActiveChat"></mdb-chat-list>
                  </mdb-col>
                  <mdb-col md="6" xl="8" class="pl-md-3 px-lg-auto px-0 pt-3">
                    <mdb-chat :loggedUserId="basicChat[activeChat].loggedUserId" :chat="basicChat[activeChat].chat"
                      color="info" :avatarWidth="50" @send="sendMessage($event, basicChat[activeChat])"></mdb-chat>
                  </mdb-col>
                </mdb-row>
              </mdb-chat-room>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbChat,
              mdbChatList,
              mdbChatRoom,
              mdbCol,
              mdbRow,
              mdbContainer
            } from 'mdbvue';
            export default {
              components: {
                mdbRow,
                mdbCol,
                mdbChat,
                mdbChatList,
                mdbChatRoom,
                mdbContainer
              },
              data() {
                return {
                  basicChat: [{
                      loggedUserId: 1,
                      active: true,
                      lastId: 4,
                      chat: [{
                          id: 0,
                          name: "Brad Pitt",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 4,
                              date: "2019-07-01 09:20",
                              content: "Can you pop out and buy lemons?"
                            }
                          ]
                        },
                        {
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 2,
                              date: "2019-06-26 11:15",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 3,
                              date: "2019-06-26 11:16",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 2,
                          name: "Ashley Olsen",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Remember to bring me oranges",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 3,
                          name: "Danny Smith",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Call me later!",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 6,
                          name: "Alex Turner",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Hey, are you at home?",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 7,
                          name: "Kate Moss",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Wanna grab a bite later?",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 10,
                          name: "Meg Ryan",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-12.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut perspicantium.",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 3,
                          name: "John Smith",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-13.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut!",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 13,
                          name: "Olenna Gervais",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-11.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut perspicantium.",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 11,
                          name: "Max Jackson",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-14.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed laudantium!",
                            unread: false
                          }]
                        }
                      ]
                    }
                  ],
                  activeChat: 0,
                };
              },
              methods: {
                createMessage(e, id) {
                  const {
                    content,
                    unread,
                    date
                  } = e;
                  return {
                    id: id + 1,
                    date,
                    content,
                    unread
                  };
                },
                sendMessage(e, chat) {
                  const newMessage = this.createMessage(e, chat.lastId);
                  chat.chat
                    .find(el => {
                      return el.id === chat.loggedUserId;
                    })
                    .messages.push(newMessage);
                  chat.lastId += 1;
                },
                changeActiveChat(index) {
                  this.activeChat = index;
                  this.basicChat.forEach((chat, i) => {
                    if (i === index) {
                      chat.active = true;
                    } else {
                      chat.active = false;
                    }
                  });
                }
              }
            };
          </script>
          
        
    

Colorful background chat MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-chat-room color="purple lighten-4">
                <mdb-row class="px-lg-2 px-2">
                  <mdb-col md="6" xl="4" class="px-0 pt-3">
                    <mdb-chat-list :data="colorfulChat" @click="changeActiveChat"></mdb-chat-list>
                  </mdb-col>
                  <mdb-col md="6" xl="8" class="pl-md-3 px-lg-auto px-0 pt-3">
                    <mdb-chat :loggedUserId="colorfulChat[activeChat].loggedUserId" :chat="colorfulChat[activeChat].chat"
                      color="purple" :avatarWidth="50" @send="sendMessage($event, colorfulChat[activeChat])"></mdb-chat>
                  </mdb-col>
                </mdb-row>
              </mdb-chat-room>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbChat,
              mdbChatList,
              mdbChatRoom,
              mdbCol,
              mdbRow,
              mdbContainer
            } from 'mdbvue';
            export default {
              components: {
                mdbRow,
                mdbCol,
                mdbChat,
                mdbChatList,
                mdbChatRoom,
                mdbContainer
              },
              data() {
                return {
                  colorfulChat: [{
                      loggedUserId: 1,
                      active: true,
                      lastId: 4,
                      chat: [{
                          id: 0,
                          name: "Brad Pitt",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 4,
                              date: "2019-07-01 09:20",
                              content: "Can you pop out and buy lemons?"
                            }
                          ]
                        },
                        {
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 2,
                              date: "2019-06-26 11:15",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 3,
                              date: "2019-06-26 11:16",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 2,
                          name: "Ashley Olsen",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Remember to bring me oranges",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 3,
                          name: "Danny Smith",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Call me later!",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 6,
                          name: "Alex Turner",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Hey, are you at home?",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 7,
                          name: "Kate Moss",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Wanna grab a bite later?",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 10,
                          name: "Meg Ryan",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-12.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut perspicantium.",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 3,
                          name: "John Smith",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-13.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut!",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 13,
                          name: "Olenna Gervais",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-11.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut perspicantium.",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 11,
                          name: "Max Jackson",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-14.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed laudantium!",
                            unread: false
                          }]
                        }
                      ]
                    }
                  ],
                  activeChat: 0,
                };
              },
              methods: {
                createMessage(e, id) {
                  const {
                    content,
                    unread,
                    date
                  } = e;
                  return {
                    id: id + 1,
                    date,
                    content,
                    unread
                  };
                },
                sendMessage(e, chat) {
                  const newMessage = this.createMessage(e, chat.lastId);
                  chat.chat
                    .find(el => {
                      return el.id === chat.loggedUserId;
                    })
                    .messages.push(newMessage);
                  chat.lastId += 1;
                },
                changeActiveChat(index) {
                  this.activeChat = index;
                  this.colorfulChat.forEach((chat, i) => {
                    if (i === index) {
                      chat.active = true;
                    } else {
                      chat.active = false;
                    }
                  });
                }
              }
            };
          </script>
          
        
    

Gradient chat with scrollbar MDB Pro component

        
            
          <template>
            <mdb-container>
              <mdb-chat-room color="rare-wind-gradient">
                <mdb-row class="px-lg-2 px-2">
                  <mdb-col md="6" xl="4" class="px-0 pt-3">
                    <mdb-chat-list scroll :height="500" scrollbarClass="scrollbar-light-blue" :data="gradientChat"
                      @click="changeActiveChat"></mdb-chat-list>
                  </mdb-col>
                  <mdb-col md="6" xl="8" class="pl-md-3 px-lg-auto px-0 pt-3">
                    <mdb-chat :loggedUserId="gradientChat[activeChat].loggedUserId" :chat="gradientChat[activeChat].chat"
                      outline="purple" :avatarWidth="50" scroll scrollbarClass="scrollbar-light-blue"
                      @send="sendMessage($event, gradientChat[activeChat])"></mdb-chat>
                  </mdb-col>
                </mdb-row>
              </mdb-chat-room>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbChat,
              mdbChatList,
              mdbChatRoom,
              mdbCol,
              mdbRow,
              mdbContainer
            } from 'mdbvue';
            export default {
              components: {
                mdbRow,
                mdbCol,
                mdbChat,
                mdbChatList,
                mdbChatRoom,
                mdbContainer
              },
              data() {
                return {
                  gradientChat: [{
                      loggedUserId: 1,
                      active: true,
                      lastId: 4,
                      chat: [{
                          id: 0,
                          name: "Brad Pitt",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 4,
                              date: "2019-07-01 09:20",
                              content: "Can you pop out and buy lemons?"
                            }
                          ]
                        },
                        {
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 2,
                              date: "2019-06-26 11:15",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 3,
                              date: "2019-06-26 11:16",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 2,
                          name: "Ashley Olsen",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Remember to bring me oranges",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 3,
                          name: "Danny Smith",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Call me later!",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 6,
                          name: "Alex Turner",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Hey, are you at home?",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 7,
                          name: "Kate Moss",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Wanna grab a bite later?",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 10,
                          name: "Meg Ryan",
                          online: true,
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-12.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut perspicantium.",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 3,
                          name: "John Smith",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-13.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut!",
                            unread: true
                          }]
                        }
                      ]
                    },
                    {
                      id: 1,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 13,
                          name: "Olenna Gervais",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-11.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut perspicantium.",
                            unread: false
                          }]
                        }
                      ]
                    },
                    {
                      id: 2,
                      loggedUserId: 1,
                      active: false,
                      lastId: 2,
                      chat: [{
                          id: 1,
                          name: "Lara Croft",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                          messages: [{
                              id: 0,
                              date: "2019-04-21 15:00:09",
                              content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
                            },
                            {
                              id: 1,
                              date: "2019-06-26 11:00",
                              content: "Sed ut doloremque laudantium."
                            }
                          ]
                        },
                        {
                          id: 11,
                          name: "Max Jackson",
                          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-14.webp",
                          messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed laudantium!",
                            unread: false
                          }]
                        }
                      ]
                    }
                  ],
                  activeChat: 0,
                };
              },
              methods: {
                createMessage(e, id) {
                  const {
                    content,
                    unread,
                    date
                  } = e;
                  return {
                    id: id + 1,
                    date,
                    content,
                    unread
                  };
                },
                sendMessage(e, chat) {
                  const newMessage = this.createMessage(e, chat.lastId);
                  chat.chat
                    .find(el => {
                      return el.id === chat.loggedUserId;
                    })
                    .messages.push(newMessage);
                  chat.lastId += 1;
                },
                changeActiveChat(index) {
                  this.activeChat = index;
                  this.gradientChat.forEach((chat, i) => {
                    if (i === index) {
                      chat.active = true;
                    } else {
                      chat.active = false;
                    }
                  });
                }
              }
            };
          </script>
          
        
    
        
            
          <style>
            .rare-wind-gradient {
              background-image: -webkit-gradient(linear,
                left bottom,
                left top,
                from(#a8edea),
                to(#fed6e3));
              background-image: -webkit-linear-gradient(bottom, #a8edea 0%, #fed6e3 100%);
              background-image: linear-gradient(to top, #a8edea 0%, #fed6e3 100%);
            }
  
            .scrollbar-light-blue::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #f5f5f5;
              border-radius: 10px;
            }
  
            .scrollbar-light-blue::-webkit-scrollbar {
              width: 12px;
              background-color: #f5f5f5;
            }
  
            .scrollbar-light-blue::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #82b1ff;
            }
          </style>
          
        
    

Small chat MDB Pro component

        
            
          <template>
            <mdb-chat-room v-if="toggle" small>
              <mdb-small-chat :loggedUserId="smallChat.loggedUserId" :chat="smallChat.chat"
                scrollbarClass="scrollbar-light-blue" small @send="sendMessage($event, smallChat)" @fileImage="fileImage"
                @reaction="addReaction" @game="game" @attach="attach" @camera="camera" @like="like" @video="video"
                @call="call" @settings="settings">
                <template v-slot:media>
                  <mdb-media class="mb-3">
                    <img class="d-flex rounded mr-2" src="https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp"
                      alt="Generic placeholder image" style="width: 60px">
                    <mdb-media-body style="font-size: 0.8rem">
                      <p class="my-0">You're friends on Facebook</p>
                      <p class="mb-0 text-muted">Web Designer at MDBootstrap</p>
                      <p class="mb-0 text-muted">Lives in Paris</p>
                    </mdb-media-body>
                  </mdb-media>
                </template>
              </mdb-small-chat>
            </mdb-chat-room>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbSmallChat,
              mdbChatRoom,
              mdbMedia,
              mdbMediaBody,
              mdbMediaImage
            } from 'mdbvue';
            export default {
              components: {
                mdbSmallChat,
                mdbChatList,
                mdbChatRoom,
                mdbMedia,
                mdbMediaBody,
                mdbMediaImage
              },
              data() {
                return {
                  smallChat: {
                    loggedUserId: 1,
                    lastId: 4,
                    chat: [{
                        id: 0,
                        name: "Brad Pitt",
                        online: true,
                        img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
                        messages: [{
                            id: 0,
                            date: "2019-04-21 15:00:09",
                            content: "Sed ut perspi."
                          },
                          {
                            id: 1,
                            date: "2019-06-26 11:00",
                            content: "Sed ut peium."
                          },
                          {
                            id: 4,
                            date: "2019-06-26 11:20",
                            content: "Error sit voluptatem accusantium doloremque laudantium."
                          }
                        ]
                      },
                      {
                        id: 1,
                        name: "Lara Croft",
                        img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
                        messages: [{
                            id: 2,
                            date: "2019-06-26 11:15",
                            content: "Sed ut or sit voluptatem accusantium doloremque laudantium."
                          },
                          {
                            id: 3,
                            date: "2019-06-26 11:16",
                            content: "voluptatem accusantium doloremque laudantium."
                          }
                        ]
                      }
                    ]
                  },
                };
              },
              methods: {
                createMessage(e, id) {
                  const {
                    content,
                    unread,
                    date
                  } = e;
                  return {
                    id: id + 1,
                    date,
                    content,
                    unread
                  };
                },
                sendMessage(e, chat) {
                  const newMessage = this.createMessage(e, chat.lastId);
                  chat.chat
                    .find(el => {
                      return el.id === chat.loggedUserId;
                    })
                    .messages.push(newMessage);
                  chat.lastId += 1;
                },
                fileImage() {
                  //create custom logic for this event
                },
                reaction() {
                  //create custom logic for this event
                },
                game() {
                  //create custom logic for this event
                },
                attach() {
                  //create custom logic for this event
                },
                camera() {
                  //create custom logic for this event
                },
                like() {
                  //create custom logic for this event
                },
                video() {
                  //create custom logic for this event
                },
                call() {
                  //create custom logic for this event
                },
                settings() {
                  //create custom logic for this event
                }
              }
            };
          </script>
          
        
    

Chat - API

In this section you will find advanced information about the Chat component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
    <script>
      import {
        mdbChatRoom,
        mdbChat,
        mdbChatList
      } from 'mdbvue';
    </script>
    
        
    

Chat Message

Basic building block of mdb-chat and mdb-small-chat is mdb-chat-message component. You can use it independently for building your own chat layouts.

        
            
    <template>
      <mdb-chat-message name="John Smith" message="Lorem ipsum!" time="2019-06-26 11:15">
    </template>
    
        
    
        
            
    <script>
      import {
        mdbChatMessage
      } from 'mdbvue';
      export default {
        components: {
          mdbChatMessage
        }
      }
    </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
name String - Name displayed in the header <mdb-chat-message name="Alan Turing"/>
time String Time when message was send - data should be in following format: YYYY-MM-DD HH-MM-SS <mdb-chat-message time="1993-04-13 15:00"/>
message String "" Message content <mdb-chat-message message="Lorem ipsum"/>
small Boolean false Set to true changes message's layout to small version <mdb-chat-message small />
color String 'white' Adds color class to the message <mdb-chat-message color="bg-primary"/>
whiteText Boolean false Changes color of the inner text to white <mdb-chat-message whiteText/>
blackText Boolean false Changes color of the inner text to black <mdb-chat-message blackText/>

Chat

Data structure

Data passed to a chat property is an array of objects - each object represents one user with his/her id name img info as well as a messages array. Each message requires three keys - content id date - all messages in the chat array will be sorted and displayed in order determined by those IDs.

        
            
      chat: [{
          id: 0,
          name: "Brad Pitt",
          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
          messages: [{
              id: 0,
              date: "2019-04-21 15:00:09",
              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
            },
            {
              id: 1,
              date: "2019-06-26 11:00",
              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
            },
            {
              id: 4,
              date: "2019-06-26 11:20",
              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
            }
          ]
        },
        {
          id: 1,
          name: "Lara Croft",
          img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
          messages: [{
              id: 2,
              date: "2019-06-26 11:15",
              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
            },
            {
              id: 3,
              date: "2019-06-26 11:16",
              content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
            }
          ]
        }
      ]
    
        
    

API Reference: Properties

Name Type Default Description Example
chat Array - Details about data structure can be found here <mdb-chat :chat="data"/>
loggedUserId Number Determines which user is logged in and aligns his/her messages to the right <mdb-chat :chat="data" :loggedUserId="1"/>
avatarWidth Number 100 Sets the avatar's width. <mdb-chat :avatarWidth="120"/>
color String Changes the send button's color. <mdb-chat color="default" />
outline String Sets the send button style to outline and sets its color to the passed value. <mdb-chat outline="danger"/>
scroll Boolean false Scrolling the long content. <mdb-chat scroll/>
scrollbarClass String Allows to apply custom styles to a scrollbar. <mdb-chat scroll scrollbarClass="custom-scrollbar"/>
height Number 500 Sets the maximum height (in px) to a scrolling chat preview. <mdb-chat scroll :height="300" scrollbarClass="custom-scrollbar" />

API Reference: Events

Name Description Event
@send Event which handler is responsible for adding new messages. {date, content, undread: true}

Chat List

Data structure

Data passed to a data property is an array of objects - each object represents one chat and should include chat's id, lastId which is helpful for adding new messages, loggedUserId and chat array described here - additonally, adding to each message additional key unread and setting its value to true will add red badge with number of unread messages to each chat. Setting online: true in the user object will display a green online badge.

        
            
      chatList: [{
          id: 0,
          active: true,
          loggedUserId: 0,
          lastId: 2,
          chat: [{
              id: 0,
              name: "Brad Pitt",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
              messages: [{
                id: 0,
                date: "2019-04-21 15:00:09",
                content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
              }]
            },
            {
              id: 1,
              name: "Lara Croft",
              online: true,
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
              messages: [{
                id: 2,
                date: "2019-06-26 11:15",
                content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
              }]
            }
          ]
        },
        {
          id: 1,
          loggedUserId: 0,
          lastId: 2,
          chat: [{
              id: 0,
              name: "Brad Pitt",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
              messages: [{
                id: 0,
                date: "2019-04-21 15:00:09",
                content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
              }, ]
            },
            {
              id: 1,
              name: "Ashley Olsen",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-2.webp",
              messages: [{
                id: 2,
                date: "2019-06-26 11:15",
                content: "Sed ut perspicantium.",
                unread: true
              }]
            }
          ]
        },
        {
          id: 2,
          loggedUserId: 0,
          lastId: 2,
          chat: [{
              id: 0,
              name: "Brad Pitt",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
              messages: [{
                id: 0,
                date: "2019-06-26 11:00",
                content: "Sed ut doloremque laudantium."
              }]
            },
            {
              id: 1,
              name: "Danny Smith",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-3.webp",
              messages: [{
                id: 2,
                date: "2019-06-26 11:15",
                content: "Sed ut perspiciatis laudantium.",
                unread: true
              }]
            }
          ]
        },
        {
          id: 1,
          loggedUserId: 0,
          lastId: 2,
          chat: [{
              id: 0,
              name: "Brad Pitt",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
              messages: [{
                id: 0,
                date: "2019-04-21 15:00:09",
                content: "Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium."
              }, ]
            },
            {
              id: 1,
              name: "Alex Turner",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp",
              messages: [{
                id: 2,
                date: "2019-06-26 11:15",
                content: "Sed ut perspicantium.",
                unread: true
              }]
            }
          ]
        },
        {
          id: 2,
          loggedUserId: 0,
          lastId: 2,
          chat: [{
              id: 0,
              name: "Brad Pitt",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
              messages: [{
                id: 0,
                date: "2019-04-21 15:00:09",
                content: "Sed ut perspiciatis unde omnis iste natus remque laudantium."
              }, ]
            },
            {
              id: 1,
              name: "Kate Moss",
              img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-4.webp",
              messages: [{
                id: 2,
                date: "2019-06-26 11:15",
                content: "Sed ut perspiciatis laudantium.",
                unread: true
              }]
            }
          ]
        }
      ],
    
        
    

API Reference: Properties

Name Type Default Description Example
data Array - Details about data structure can be found above <mdb-chat-list :data="data"/>
scroll Boolean false Scrolling the long content <mdb-chat-list scroll/>
scrollbarClass String Allows to apply custom styles to a scrollbar <mdb-chat-list scroll scrollbarClass="custom-scrollbar"/>
height Number 500 Sets the maximum height (in px) to a scrolling chat preview. <mdb-chat-list scroll :height="300" scrollbarClass="custom-scrollbar" />

Chat Room

Wrapper component for mdb-chat or/and mdb-chat-list

API Reference: Properties

Name Type Default Description Example
color String '' Adds color class to the chat room. <mdb-chat-room color="grey"/>
small Boolean false If set to true changes position of the chat to fixed and place it in the right-bottom corner. <mdb-chat-room small/>

Small Chat

Data structure

Data passed to a chat property is an array of objects - each object represents one user with his/her id name img online info as well as a messages array. Each message requires three keys - content id date - all messages in the chat array will be sorted and displayed in order determined by those IDs.

        
            
      smallChat: {
        loggedUserId: 1,
        lastId: 4,
        chat: [{
            id: 0,
            name: "Brad Pitt",
            online: true,
            img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-6.webp",
            messages: [{
                id: 0,
                date: "2019-04-21 15:00:09",
                content: "Sed ut perspi."
              },
              {
                id: 1,
                date: "2019-06-26 11:00",
                content: "Sed ut peium."
              },
              {
                id: 4,
                date: "2019-06-26 11:20",
                content: "Error sit voluptatem accusantium doloremque laudantium."
              }
            ]
          },
          {
            id: 1,
            name: "Lara Croft",
            img: "https://mdbootstrap.com/img/Photos/Avatars/avatar-5.webp",
            messages: [{
                id: 2,
                date: "2019-06-26 11:15",
                content: "Sed ut or sit voluptatem accusantium doloremque laudantium."
              },
              {
                id: 3,
                date: "2019-06-26 11:16",
                content: "voluptatem accusantium doloremque laudantium."
              }
            ]
          }
        ]
      }
    
        
    

API Reference: Properties

Name Type Default Description Example
chat Array - Details about data structure can be found here <mdb-small-chat :chat="data"/>
loggedUserId Number Determines which user is logged in and aligns his/her messages to the right <mdb-small-chat :chat="data" :loggedUserId="1"/>
avatarWidth Number 100 Sets the avatar's width. <mdb-small-chat :avatarWidth="120"/>
color String Changes the send button's color. <mdb-small-chat color="default" />

API Reference: Events

Name Description Event
@send Event which handler is responsible for adding new messages. {date, content, undread: true}
@fileImage Allows setting custom event handler for click event registered on corresponding icon. click
@reaction Allows setting custom event handler for click event registered on corresponding icon. click
@game Allows setting custom event handler for click event registered on corresponding icon. click
@attach Allows setting custom event handler for click event registered on corresponding icon. click
@camera Allows setting custom event handler for click event registered on corresponding icon. click
@like Allows setting custom event handler for click event registered on corresponding icon. click
@video Allows setting custom event handler for click event registered on corresponding icon. click
@call Allows setting custom event handler for click event registered on corresponding icon. click
@settings Allows setting custom event handler for click event registered on corresponding icon. click

API Reference: Slots

Name Description
media Allows to display additional info about messages' receiver at the top of the chat.